Subject: [Megaco] Format for sending an Empty Descriptor

From: Jagan Mohan <[email-masked]>
Date: Fri, 25 Nov 2005 11:48:41 +0530

Hi All,

    Say, a MGC sends a request with different codec options and
ReserveValue=ON to the MG. If the MG doesnot have resources which could be
reserved, it's supposed to send Empty Local/Remote descriptor in it's reply
message to the MG.

     Here, is it ok if the MG doesnot send the Local/Remote descriptor in
it's Reply message. Will it be treated as equivalent to Empty Local/Remote
descriptor?

    Here is an excerpt from Section 7.1 of the standard, which talks about
sending an empty descriptor.

<QUOTE>
The parameters to a command are termed descriptors. A descriptor consists of
a name and a list of items. Some items may have values. Many commands share
common descriptors. This subclause enumerates these descriptors. Descriptors
may be returned as output from a command. In any such return of descriptor
contents, an empty descriptor is represented by its name unaccompanied by
any list. Parameters and parameter usage specific to a given command type
are described in the subclause that describes the command.
<UNQUOTE>

    It doesnot mention that we have an option of not sending the descriptor
itself, in the case of empty descriptor. Any opinion on this?

Thanks,
Jagan
_______________________________________________
Megaco mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/megaco

---

From: "Kevin Boyle" <[email-masked]>
Date: Sat, 26 Nov 2005 12:24:55 -0500

Not sending the descriptor back to the MGC would mean that the MG has,
in fact, reserved ALL the possible choices.  The MG must return the
empty descriptor as stated in the spec if it cannot reserve resources
for any of the specified options.
 
Note that if the descriptor is over- or under-specified, the MG needs to
return something, so that the MGC will know what options have been
chosen.
 
Kevin

________________________________

	From: [email-masked] [mailto:[email-masked]]
On Behalf Of Jagan Mohan
	Sent: Friday, November 25, 2005 1:19 AM
	To: [email-masked]
	Subject: [Megaco] Format for sending an Empty Descriptor

	Hi All,
	 
	    Say, a MGC sends a request with different codec options and
ReserveValue=ON to the MG. If the MG doesnot have resources which could
be reserved, it's supposed to send Empty Local/Remote descriptor in it's
reply message to the MG. 
	 
	     Here, is it ok if the MG doesnot send the Local/Remote
descriptor in it's Reply message. Will it be treated as equivalent to
Empty Local/Remote descriptor?
	 
	    Here is an excerpt from Section 7.1 of the standard, which
talks about sending an empty descriptor.
	 
	<QUOTE>
	The parameters to a command are termed descriptors. A descriptor
consists of a name and a list of items. Some items may have values. Many
commands share common descriptors. This subclause enumerates these
descriptors. Descriptors may be returned as output from a command. In
any such return of descriptor contents, an empty descriptor is
represented by its name unaccompanied by any list. Parameters and
parameter usage specific to a given command type are described in the
subclause that describes the command. 
	<UNQUOTE>
	    
	    It doesnot mention that we have an option of not sending the
descriptor itself, in the case of empty descriptor. Any opinion on this?
	 
	Thanks,
	Jagan